var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { DataTypes } from '@reltio/mdm-sdk';
import SimpleAttributeRenderer from './SimpleAttributeRenderer';
var dataTypeDefinition = { type: DataTypes.TYPE_STRING };
export var EntityIdRenderer = function (_a) {
    var value = _a.value, columnData = _a.columnData;
    return (React.createElement(SimpleAttributeRenderer, { value: { value: value, uri: '' }, columnData: __assign(__assign({}, columnData), { dataTypeDefinition: dataTypeDefinition }), rowValue: { label: { uri: '', type: '' } } }));
};
